## pmdk 1.5.1

=== src/test/log_walker/Makefile ===
#
# Copyright 2014-2016, Intel Corporation
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in
#       the documentation and/or other materials provided with the
#       distribution.
#
#     * Neither the name of the copyright holder nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# src/test/log_walker/Makefile -- build log_walker unit test
#
TARGET = log_walker
OBJS = log_walker.o

LIBPMEM=y
LIBPMEMLOG=y

include ../Makefile.inc

=== src/test/obj_toid/Makefile ===
#
# Copyright 2015-2017, Intel Corporation
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in
#       the documentation and/or other materials provided with the
#       distribution.
#
#     * Neither the name of the copyright holder nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# src/test/obj_toid/Makefile -- build obj_toid unit test
#
TARGET = obj_toid
OBJS = obj_toid.o

LIBPMEM=y
LIBPMEMOBJ=y
LIBPMEMCOMMON=y

include ../Makefile.inc

=== src/test/rpmemd_util/Makefile ===
#
# Copyright 2017-2018, Intel Corporation
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in
#       the documentation and/or other materials provided with the
#       distribution.
#
#     * Neither the name of the copyright holder nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# src/test/rpmemd_util/Makefile -- build rpmemd_util test
#
TOP = ../../..
vpath %.c $(TOP)/src/tools/rpmemd
vpath %.c $(TOP)/src/rpmem_common

TARGET = rpmemd_util

OBJS = rpmemd_util_test.o rpmem_common.o rpmemd_log.o rpmemd_util.o

LIBPMEM=y
LIBPMEMCOMMON=y

include ../Makefile.inc

INCS += -I$(TOP)/src/rpmem_common
CFLAGS += -I../../tools/rpmemd

=== src/test/vmem_check_version/Makefile ===
#
# Copyright 2014-2016, Intel Corporation
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in
#       the documentation and/or other materials provided with the
#       distribution.
#
#     * Neither the name of the copyright holder nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# src/test/vmem_check_version/Makefile -- build vmem_check_version unit test
#
TARGET = vmem_check_version
OBJS = vmem_check_version.o

LIBVMEM=y

include ../Makefile.inc

=== src/examples/libpmemobj/array/Makefile ===
#
# Copyright 2016, Intel Corporation
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in
#       the documentation and/or other materials provided with the
#       distribution.
#
#     * Neither the name of the copyright holder nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# examples/libpmemobj/array/Makefile -- build the array example
#
PROGS = array

LIBS = -lpmemobj -lpmem -pthread

include ../../Makefile.inc

array: array.o

=== debian/changelog ===
pmdk (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 19 Feb 2019 14:50:48 +0100

pmdk (1.5.1~rc3-2) experimental; urgency=medium

  * Disable a failing test (real bug; tmpfs only).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 18 Feb 2019 01:18:14 +0100

pmdk (1.5.1~rc3-1) experimental; urgency=medium

  * New upstream pre-release.
  * Drop upstreamed patch.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 15 Feb 2019 16:11:49 +0100

pmdk (1.5.1~rc2-1) experimental; urgency=medium

  * New upstream pre-release.
  * Drop upstreamed patches.
  * Re-enable valgrind tests.
  * Fix broken .pc for librpmem.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 11 Feb 2019 16:14:47 +0100

pmdk (1.5-5) unstable; urgency=medium

  * Fix one, and paper over another, tests failing with bash 5.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 04 Feb 2019 20:06:36 +0100

pmdk (1.5-4) unstable; urgency=medium

  * Use UTC for SOURCE_DATE_EPOCH.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 08 Jan 2019 13:42:12 +0100

pmdk (1.5-3) unstable; urgency=medium

  * Make the build reproducible.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 07 Jan 2019 15:26:53 +0100

pmdk (1.5-2) unstable; urgency=medium

  * Don't B-Depend on valgrind, it can't handle glibc 2.28 yet.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 04 Jan 2019 14:05:10 +0100

pmdk (1.5-1) unstable; urgency=medium

  * Initial release.  Closes: #913889

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 06 Dec 2018 16:19:04 +0100

=== debian/control ===
Source: pmdk
Section: libs
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: bash-completion,
               bc,
               debhelper (>= 11),
               dh-exec (>= 0.3),
               libdaxctl-dev (>= 60.1),
               libfabric-dev [amd64],
               libndctl-dev (>= 60.1),
               pandoc,
               pkg-config,
               valgrind,
Standards-Version: 4.3.0
Homepage: http://pmem.io/pmdk/
Vcs-Git: https://github.com/kilobyte/pmdk -b debian
Vcs-Browser: https://github.com/kilobyte/pmdk/tree/debian

Package: libpmem1
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Persistent Memory low level support library
 libpmem provides low level persistent memory support.  In particular, support
 for the persistent memory instructions for flushing changes to pmem is
 provided.
 .
 This library is provided for software which tracks every store to pmem and
 needs to flush those changes to durability.  Most developers will find higher
 level libraries like libpmemobj to be much more convenient.

Package: libpmem1-debug
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Persistent Memory low level support library — debug build
 libpmem provides low level persistent memory support.  In particular, support
 for the persistent memory instructions for flushing changes to pmem is
 provided.
 .
 This library is provided for software which tracks every store to pmem and
 needs to flush those changes to durability.  Most developers will find higher
 level libraries like libpmemobj to be much more convenient.
 .
 This package contains a special build of this library meant for debugging
 purposes.  It contains extra logging, assertions and expensive checks that
 should not be used otherwise.

Package: libpmem-dev
Section: libdevel
Architecture: amd64
Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: development files for libpmem1
 libpmem provides low level persistent memory support.  In particular, support
 for the persistent memory instructions for flushing changes to pmem is
 provided.
 .
 This package contains libraries and header files used for linking programs
 against libpmem.

Package: libpmemblk1
Architecture: amd64
Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Persistent Memory block array support library
 libpmemblk implements a pmem-resident array of blocks, all the same size, where
 a block is updated atomically with respect to power failure or program
 interruption (no torn blocks).
 .
 This library is provided for cases requiring large arrays of objects at least
 512 bytes each.  Most developers will find higher level libraries like
 libpmemobj to be more generally useful.

Package: libpmemblk1-debug
Architecture: amd64
Depends: libpmem1-debug (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Persistent Memory block array support library — debug build
 libpmemblk implements a pmem-resident array of blocks, all the same size, where
 a block is updated atomically with respect to power failure or program
 interruption (no torn blocks).
 .
 This library is provided for cases requiring large arrays of objects at least
 512 bytes each.  Most developers will find higher level libraries like
 libpmemobj to be more generally useful.
 .
 This package contains a special build of this library meant for debugging
 purposes.  It contains extra logging, assertions and expensive checks that
 should not be used otherwise.

Package: libpmemblk-dev
Section: libdevel
Architecture: amd64
Depends: libpmem-dev (= ${binary:Version}),
         libpmemblk1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for libpmemblk1
 libpmemblk implements a pmem-resident array of blocks, all the same size, where
 a block is updated atomically with respect to power failure or program
 interruption (no torn blocks).
 .
 This package contains libraries and header files used for linking programs
 against libpmemblk.

Package: libpmemlog1
Architecture: amd64
Depends: libpmem1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Persistent Memory log file support library
 libpmemlog implements a pmem-resident log file.
 .
 This library is provided for cases requiring an append-mostly file to record
 variable length entries.  Most developers will find higher level libraries like
 libpmemobj to be more generally useful.

Package: libpmemlog1-debug
Architecture: amd64
Depends: libpmem1-debug (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Persistent Memory log file support library — debug build
 libpmemlog implements a pmem-resident log file.
 .
 This library is provided for cases requiring an append-mostly file to record
 variable length entries.  Most developers will find higher level libraries like
 libpmemobj to be more generally useful.
 .
 This package contains a special build of this library meant for debugging
 purposes.  It contains extra logging, assertions and expensive checks that
 should not be used otherwise.

Package: libpmemlog-dev
Section: libdevel
Architecture: amd64
Depends: libpmem-dev (= ${binary:Version}),
         libpmemlog1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for libpmemlog1
 libpmemlog implements a pmem-resident log file.
 .
 This package contains libraries and header files used for linking programs
 against libpmemlog.

Package: libpmemobj1
Architecture: amd64
Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Persistent Memory object store support library
 libpmemobj turns a persistent memory file into a flexible object store,
 supporting transactions, memory management, locking, lists, and a number of
 other features.

Package: libpmemobj1-debug
Architecture: amd64
Depends: libpmem1-debug (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Persistent Memory object store support library — debug build
 libpmemobj turns a persistent memory file into a flexible object store,
 supporting transactions, memory management, locking, lists, and a number of
 other features.
 .
 This package contains a special build of this library meant for debugging
 purposes.  It contains extra logging, assertions and expensive checks that
 should not be used otherwise.

Package: libpmemobj-dev
Section: libdevel
Architecture: amd64
Depends: libpmem-dev (= ${binary:Version}),
         libpmemobj1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for libpmemobj1
 libpmemobj turns a persistent memory file into a flexible object store,
 supporting transactions, memory management, locking, lists, and a number of
 other features.
 .
 This package contains libraries and header files used for linking programs
 against libpmemobj.

Package: libpmempool1
Architecture: amd64
Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Persistent Memory pool management support library
 libpmempool provides a set of utilities for management, diagnostics and repair
 of persistent memory pools.  A pool in this context means a pmemobj pool,
 pmemblk pool, pmemlog pool or BTT layout, independent of the underlying
 storage.  The libpmempool is for applications that need high reliability or
 built-in troubleshooting.  It may be useful for testing and debugging purposes
 also.

Package: libpmempool1-debug
Architecture: amd64
Depends: libpmem1-debug (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Persistent Memory pool management support library — debug build
 libpmempool provides a set of utilities for management, diagnostics and repair
 of persistent memory pools.  A pool in this context means a pmemobj pool,
 pmemblk pool, pmemlog pool or BTT layout, independent of the underlying
 storage.  The libpmempool is for applications that need high reliability or
 built-in troubleshooting.  It may be useful for testing and debugging purposes
 also.
 .
 This package contains a special build of this library meant for debugging
 purposes.  It contains extra logging, assertions and expensive checks that
 should not be used otherwise.

Package: libpmempool-dev
Section: libdevel
Architecture: amd64
Depends: libpmem-dev (= ${binary:Version}),
         libpmempool1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for libpmempool1
 libpmempool provides a set of utilities for management, diagnostics and repair
 of persistent memory pools.
 .
 This package contains libraries and header files used for linking programs
 against libpmempool.

Package: librpmem1
Architecture: amd64
Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Persistent Memory remote access support library
 librpmem provides low-level support for remote access to persistent memory
 (pmem) utilizing RDMA-capable RNICs.  The library can be used to replicate
 remotely a memory region over RDMA protocol.  It utilizes appropriate
 persistency mechanism based on remote node’s platform capabilities.  The
 librpmem utilizes the ssh client to authenticate a user on remote node and for
 encryption of connection’s out-of-band configuration data.
 .
 This library is for applications that use remote persistent memory directly,
 without the help of any library-supplied transactions or memory allocation.
 Higher-level libraries that build on libpmem are available and are recommended
 for most applications.

Package: librpmem1-debug
Architecture: amd64
Depends: libpmem1-debug (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Persistent Memory remote access support library — debug build
 librpmem provides low-level support for remote access to persistent memory
 (pmem) utilizing RDMA-capable RNICs.  The library can be used to replicate
 remotely a memory region over RDMA protocol.  It utilizes appropriate
 persistency mechanism based on remote node’s platform capabilities.  The
 librpmem utilizes the ssh client to authenticate a user on remote node and for
 encryption of connection’s out-of-band configuration data.
 .
 This library is for applications that use remote persistent memory directly,
 without the help of any library-supplied transactions or memory allocation.
 Higher-level libraries that build on libpmem are available and are recommended
 for most applications.
 .
 This package contains a special build of this library meant for debugging
 purposes.  It contains extra logging, assertions and expensive checks that
 should not be used otherwise.

Package: librpmem-dev
Section: libdevel
Architecture: amd64
Depends: libpmem-dev (= ${binary:Version}),
         librpmem1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for librpmem1
 librpmem provides low-level support for remote access to persistent memory
 (pmem) utilizing RDMA-capable RNICs.
 .
 This package contains libraries and header files used for linking programs
 against librpmem.

Package: libvmem1
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Persistent Memory volatile memory support library
 The libvmem library turns a pool of persistent memory into a volatile memory
 pool, similar to the system heap but kept separate and with its own
 malloc-style API.
 .
 libvmem supports the traditional malloc/free interfaces on a memory mapped
 file.  This allows the use of persistent memory as volatile memory, for cases
 where the pool of persistent memory is useful to an application, but when the
 application doesn’t need it to be persistent.

Package: libvmem1-debug
Architecture: amd64

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog -S version | cut -d - -f 1 | cut -d : -f 2)

%:
	dh $@ --with bash-completion

override_dh_auto_build:
	+$(MAKE) doc
	dh_auto_build  -- prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH) sysconfdir=/etc bashcompdir=/usr/share/bash-completion/completions NORPATH=1

override_dh_auto_install:
	dh_auto_install -- prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH) sysconfdir=/etc bashcompdir=/usr/share/bash-completion/completions NORPATH=1

override_dh_install:
	mkdir -p debian/tmp/usr/share/pmdk/
	cp utils/pmdk.magic debian/tmp/usr/share/pmdk/
	dh_install

override_dh_installexamples:
	dh_installexamples --exclude=.gitignore --exclude=.vcxproj

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Use fake pmem; we really want tmpfs if possible.
	# No non-pmem dir, as real syncs there are slow.
	echo "PMEM_FS_DIR=/tmp" > src/test/testconfig.sh
	# Use cache flushes instead of msync().
	echo "PMEM_FS_DIR_FORCE_PMEM=1" >> src/test/testconfig.sh
	# Don't try static libs.
	echo "TEST_BUILD=\"debug nondebug\"" >> src/test/testconfig.sh
	# Display execution time of each test
	echo "TM=1" >> src/test/testconfig.sh
	# Kill a legitimately failing test (kernel bug on tmpfs).
	rm -f src/test/obj_pool/TEST34
	+$(MAKE) check
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pmdk-$1.tar.gz%" \
    https://github.com/pmem/pmdk/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pmdk 1.6

=== debian/changelog ===
pmdk (1.6-5) unstable; urgency=medium

  * B-Depend on ndctl with fixed fd leaks, don't ignore fails.
  * Drop a redundant failing autopkgtest.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Jul 2019 03:14:34 +0200

pmdk (1.6-4) unstable; urgency=medium

  * Fix FTBFS with valgrind 3.15.
  * Fix a strict aliasing violation (caused crashes with some
    compiler:platform combinations).
  * Depend on valgrind that doesn't SIGILL on DC CVAC on arm64.
  * Unversion B-Dep on dh-exec.
  * Increase test timeout by 10×.
  * dh 12.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 22 Jul 2019 23:31:11 +0200

pmdk (1.6-3) unstable; urgency=medium

  * Disable obj_pool/TEST34 again -- times out on crap hardware.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Jul 2019 15:28:07 +0200

pmdk (1.6-2) unstable; urgency=medium

  * Upload to unstable.
  * Merge in Ubuntu changes (dh_missing, Build-Depends-Package, docs).
  * Other minor docs improvements.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Jul 2019 11:55:38 +0200

pmdk (1.6-1) experimental; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 26 Mar 2019 22:58:25 +0100

pmdk (1.6~rc2-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 18 Mar 2019 02:04:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,24 @@
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: bash-completion,
                bc,
-               debhelper (>= 11),
-               dh-exec (>= 0.3),
+               debhelper-compat (= 12),
+               dh-exec,
                libdaxctl-dev (>= 60.1),
                libfabric-dev [amd64],
-               libndctl-dev (>= 60.1),
+               libndctl-dev (>= 64),
                pandoc,
                pkg-config,
+               strace,
                valgrind,
-Standards-Version: 4.3.0
+               valgrind (>= 1:3.15.0) [arm64],
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: http://pmem.io/pmdk/
 Vcs-Git: https://github.com/kilobyte/pmdk -b debian
 Vcs-Browser: https://github.com/kilobyte/pmdk/tree/debian
 
 Package: libpmem1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory low level support library
  libpmem provides low level persistent memory support.  In particular, support
@@ -30,7 +33,7 @@
  level libraries like libpmemobj to be much more convenient.
 
 Package: libpmem1-debug
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory low level support library — debug build
  libpmem provides low level persistent memory support.  In particular, support
@@ -47,7 +50,7 @@
 
 Package: libpmem-dev
 Section: libdevel
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: development files for libpmem1
  libpmem provides low level persistent memory support.  In particular, support
@@ -58,7 +61,7 @@
  against libpmem.
 
 Package: libpmemblk1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory block array support library
  libpmemblk implements a pmem-resident array of blocks, all the same size, where
@@ -70,7 +73,7 @@
  libpmemobj to be more generally useful.
 
 Package: libpmemblk1-debug
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1-debug (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -89,7 +92,7 @@
 
 Package: libpmemblk-dev
 Section: libdevel
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemblk1 (= ${binary:Version}),
          ${misc:Depends},
@@ -103,7 +106,7 @@
  against libpmemblk.
 
 Package: libpmemlog1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory log file support library
  libpmemlog implements a pmem-resident log file.
@@ -113,7 +116,7 @@
  libpmemobj to be more generally useful.
 
 Package: libpmemlog1-debug
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1-debug (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -130,7 +133,7 @@
 
 Package: libpmemlog-dev
 Section: libdevel
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemlog1 (= ${binary:Version}),
          ${misc:Depends},
@@ -142,7 +145,7 @@
  against libpmemlog.
 
 Package: libpmemobj1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory object store support library
  libpmemobj turns a persistent memory file into a flexible object store,
@@ -150,7 +153,7 @@
  other features.
 
 Package: libpmemobj1-debug
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1-debug (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -165,7 +168,7 @@
 
 Package: libpmemobj-dev
 Section: libdevel
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemobj1 (= ${binary:Version}),
          ${misc:Depends},
@@ -179,7 +182,7 @@
  against libpmemobj.
 
 Package: libpmempool1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory pool management support library
  libpmempool provides a set of utilities for management, diagnostics and repair
@@ -190,7 +193,7 @@
  also.
 
 Package: libpmempool1-debug
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem1-debug (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -208,7 +211,7 @@
 
 Package: libpmempool-dev
 Section: libdevel
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmempool1 (= ${binary:Version}),
          ${misc:Depends},
@@ -273,7 +276,7 @@
  against librpmem.
 
 Package: libvmem1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Persistent Memory volatile memory support library
  The libvmem library turns a pool of persistent memory into a volatile memory
@@ -282,8 +285,3 @@
  .
  libvmem supports the traditional malloc/free interfaces on a memory mapped
  file.  This allows the use of persistent memory as volatile memory, for cases
- where the pool of persistent memory is useful to an application, but when the
- application doesn’t need it to be persistent.
-
-Package: libvmem1-debug
-Architecture: amd64

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 override_dh_installexamples:
 	dh_installexamples --exclude=.gitignore --exclude=.vcxproj
 
+override_dh_missing:
+	dh_missing --list-missing --exclude=usr/share/man --exclude=usr/lib/$(DEB_HOST_MULTIARCH)/pmdk_debug/ --exclude=usr/share/bash-completion/completions/pmempool
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Use fake pmem; we really want tmpfs if possible.
@@ -34,7 +37,9 @@
 	echo "TEST_BUILD=\"debug nondebug\"" >> src/test/testconfig.sh
 	# Display execution time of each test
 	echo "TM=1" >> src/test/testconfig.sh
-	# Kill a legitimately failing test (kernel bug on tmpfs).
+	# Still fails/times out on weird setups (a 33GB fallocate).
 	rm -f src/test/obj_pool/TEST34
+	# Be nice to slow hardware.
+	echo TEST_TIMEOUT=30m >> src/test/testconfig.sh
 	+$(MAKE) check
 endif

=== debian/tests/control ===
Tests: manage-pools
Depends: pmdk-tools
Restrictions: isolation-container

Tests: daxio-version
Depends: pmdk-tools
Restrictions: isolation-container, allow-stderr

## pmdk 1.6.1

=== debian/changelog ===
pmdk (1.6.1-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - libpmemobj c++ bindings are on separate source now:
      + d/libpmemobj-doc.install: removed
      + d/libpmemobj-doc.doc-base: removed
      + d/control: setup transition from libpmemobj-doc to libpmemobj-cpp-doc
    - d/NEWS: added to explain important packaging changes in this update
      [Can be dropped after 20.04]
    - d/control: the valgrind test is failing, remove it from
      build-depends
    - d/README.source: explains some lintian checks and the reason why
      jemalloc is bundled.
    - d/rules: re-enabled TEST34 as it seems to work fine in the Ubuntu
      test runners
    - d/t/{daxio-version,rpmemd-version}: adjust the test to cope with
      release candidate versions

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 29 Aug 2019 15:54:42 -0300

pmdk (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Make -dev packages of libraries with RAS features depend on relevant
    ndctl/daxctl-dev.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 28 Aug 2019 02:41:52 +0200

pmdk (1.6.1~rc1-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - libpmemobj c++ bindings are on separate source now:
      + d/libpmemobj-doc.install: removed
      + d/libpmemobj-doc.doc-base: removed
      + d/control: setup transition from libpmemobj-doc to libpmemobj-cpp-doc
    - d/NEWS: added to explain important packaging changes in this update
      [Can be dropped after 20.04]
    - d/control: the valgrind test is failing, remove it from
      build-depends
    - d/README.source: explains some lintian checks and the reason why
      jemalloc is bundled.
    - d/rules: re-enabled TEST34 as it seems to work fine in the Ubuntu
      test runners
  * Dropped:
    - d/t/control, d/t/rpmemd-version: added simple rpmemd test just to
      verify that the tool runs. Also flag the test as being amd64 only,
      and skip it in other arches.
      [Included in 1.6.1~rc1-1]
  * Added:
    - d/t/{daxio-version,rpmemd-version}: adjust the test to cope with
      release candidate versions

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 22 Aug 2019 11:25:43 -0300

pmdk (1.6.1~rc1-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 19 Aug 2019 17:15:43 +0200

pmdk (1.6-5ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - libpmemobj c++ bindings are on separate source now:
      + d/libpmemobj-doc.install: removed
      + d/libpmemobj-doc.doc-base: removed
      + d/control: setup transition from libpmemobj-doc to libpmemobj-cpp-doc
    - d/NEWS: added to explain important packaging changes in this update
      [Can be dropped after 20.04]
    - d/control: the valgrind test is failing, remove it from
      build-depends
    - d/README.source: explains some lintian checks and the reason why
      jemalloc is bundled.
  * Dropped:
    - d/p/manpage-debug-packages.patch: mention the -debug package split
      in Ubuntu systems
      [Added in 1.6-2]
    - d/rules: use dh_missing with --fail and known exclusions for files
      installed by other dh tools
      [Added in 1.6-2]
  * Added:
    - d/t/control, d/t/rpmemd-version: added simple rpmemd test just to
      verify that the tool runs. Also flag the test as being amd64 only,
      and skip it in other arches.
      [This was dropped in Debian because it tried to run in arm64]
    - d/rules: re-enabled TEST34 as it seems to work fine in the Ubuntu
      test runners

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 29 Jul 2019 15:16:33 -0300

pmdk (1.6-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/manpage-debug-packages.patch: mention the -debug package split
      in Ubuntu systems
    - libpmemobj c++ bindings are on separate source now:
      + d/libpmemobj-doc.install: removed
      + d/libpmemobj-doc.doc-base: removed
      + d/control: setup transition from libpmemobj-doc to libpmemobj-cpp-doc
    - d/rules: use dh_missing with --fail and known exclusions for files
      installed by other dh tools
    - d/NEWS: added to explain important packaging changes in this update
      [Can be dropped after 20.04]
    - d/control: the valgrind test is failing, remove it from
      build-depends
    - d/README.source: explains some lintian checks and the reason why
      jemalloc is bundled.
    - d/not-installed: list files from the pmreorder python script that
      we are choosing to not install because it's not ready yet, requiring
      forks of other tools.
  * Dropped:
    - d/rules: don't remove TEST34 as it is passing in Ubuntu atm
      [In 1.6~rc2-1]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 23 May 2019 11:57:43 -0300

pmdk (1.5.1-1ubuntu1) eoan; urgency=medium

  * d/p/manpage-debug-packages.patch: mention the -debug package split
    in Ubuntu systems
  * libpmemobj c++ bindings are on separate source now:
    - d/libpmemobj-doc.install: removed
    - d/libpmemobj-doc.doc-base: removed
    - d/control: setup transition from libpmemobj-doc to libpmemobj-cpp-doc
  * d/rules: use dh_missing with --fail and known exclusions for files
    installed by other dh tools
  * d/rules: don't remove TEST34 as it is passing in Ubuntu atm
  * d/NEWS: added to explain important packaging changes in this update
  * d/control: the valgrind test is failing, remove it from
    build-depends
  * d/README.source: explains some lintian checks and the reason why
    jemalloc is bundled.
  * d/not-installed: list files from the pmreorder python script that
    we are choosing to not install because it's not ready yet, requiring
    forks of other tools.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 16 May 2019 14:48:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: pmdk
 Section: libs
 Priority: optional
-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: bash-completion,
                bc,
                debhelper-compat (= 12),
                dh-exec,
-               libdaxctl-dev (>= 60.1),
+               libdaxctl-dev (>= 64),
                libfabric-dev [amd64],
                libndctl-dev (>= 64),
                pandoc,
                pkg-config,
                strace,
-               valgrind,
-               valgrind (>= 1:3.15.0) [arm64],
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: http://pmem.io/pmdk/
@@ -95,6 +94,8 @@
 Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemblk1 (= ${binary:Version}),
+         libndctl-dev (>= 63),
+         libdaxctl-dev (>= 63),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: development files for libpmemblk1
@@ -136,6 +137,8 @@
 Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemlog1 (= ${binary:Version}),
+         libndctl-dev (>= 63),
+         libdaxctl-dev (>= 63),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: development files for libpmemlog1
@@ -171,6 +174,8 @@
 Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmemobj1 (= ${binary:Version}),
+         libndctl-dev (>= 63),
+         libdaxctl-dev (>= 63),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: development files for libpmemobj1
@@ -180,6 +185,14 @@
  .
  This package contains libraries and header files used for linking programs
  against libpmemobj.
+
+Package: libpmemobj-doc
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends},
+         libpmemobj-cpp-doc
+Description: Transitional package for libpmemobj-cpp-doc
+ This is a transitional package. It can safely be removed.
 
 Package: libpmempool1
 Architecture: amd64 arm64
@@ -214,6 +227,8 @@
 Architecture: amd64 arm64
 Depends: libpmem-dev (= ${binary:Version}),
          libpmempool1 (= ${binary:Version}),
+         libndctl-dev (>= 63),
+         libdaxctl-dev (>= 63),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: development files for libpmempool1
@@ -273,15 +288,3 @@
  (pmem) utilizing RDMA-capable RNICs.
  .
  This package contains libraries and header files used for linking programs
- against librpmem.
-
-Package: libvmem1
-Architecture: amd64 arm64
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Persistent Memory volatile memory support library
- The libvmem library turns a pool of persistent memory into a volatile memory
- pool, similar to the system heap but kept separate and with its own
- malloc-style API.
- .
- libvmem supports the traditional malloc/free interfaces on a memory mapped
- file.  This allows the use of persistent memory as volatile memory, for cases

=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,6 @@
 	echo "TEST_BUILD=\"debug nondebug\"" >> src/test/testconfig.sh
 	# Display execution time of each test
 	echo "TM=1" >> src/test/testconfig.sh
-	# Still fails/times out on weird setups (a 33GB fallocate).
-	rm -f src/test/obj_pool/TEST34
 	# Be nice to slow hardware.
 	echo TEST_TIMEOUT=30m >> src/test/testconfig.sh
 	+$(MAKE) check

=== debian/tests/control ===
Tests: manage-pools
Depends: pmdk-tools

Tests: daxio-version
Depends: pmdk-tools
Restrictions: allow-stderr

Tests: rpmemd-version
Depends: pmdk-tools
Restrictions: allow-stderr, skippable
